%global         pkgname django-markdown2

Name:           python-%{pkgname}
Version:        0.3.0
Release:        6%{?dist}
Summary:        Simple Django app, which supplies a single template tag for markdown markup
Group:          Development/Libraries
License:        BSD
URL:            https://github.com/svetlyak40wt/django-markdown2/
Source0:        https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel python2-setuptools
BuildRequires:  python3-devel python3-setuptools

Requires:       python-django
Requires:       python-markdown2

%description
This is a simple app, which supplies a single template tag for markdown markup.

%package -n python2-%{pkgname}
Summary:        Simple Django app, which supplies a single template tag for markdown markup
Group:          Development/Libraries
Requires:       python2-django
Requires:       python2-markdown2
Provides:       %{pkgname} = %{version}-%{release}
Provides:       python-%{pkgname} = %{version}-%{release}
Obsoletes:      python-%{pkgname} < 0.3.0-2

%description -n python2-%{pkgname}
This is a simple app, which supplies a single template tag for markdown markup.

%package -n python3-%{pkgname}
Summary:        Simple Django app, which supplies a single template tag for markdown markup
Group:          Development/Libraries
Requires:       python3-django
Requires:       python3-markdown2
Provides:       %{pkgname} = %{version}-%{release}

%description -n python3-%{pkgname}
This is a simple app, which supplies a single template tag for markdown markup.


%prep
%autosetup -n %{pkgname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{pkgname}
%license LICENSE
%doc README.md
%dir %{python2_sitelib}/django_markdown2
%{python2_sitelib}/django_markdown2/__init__.py*
%dir %{python2_sitelib}/django_markdown2/templatetags
%{python2_sitelib}/django_markdown2/templatetags/__init__.py*
%{python2_sitelib}/django_markdown2/templatetags/md2.py*
%{python2_sitelib}/django_markdown2-%{version}-py2.*.egg-info


%files -n python3-%{pkgname}
%license LICENSE
%doc README.md
%dir %{python3_sitelib}/django_markdown2
%{python3_sitelib}/django_markdown2/__init__.py
%dir %{python3_sitelib}/django_markdown2/__pycache__
%{python3_sitelib}/django_markdown2/__pycache__/*.py*
%dir %{python3_sitelib}/django_markdown2/templatetags
%{python3_sitelib}/django_markdown2/templatetags/__init__.py
%{python3_sitelib}/django_markdown2/templatetags/md2.py
%dir %{python3_sitelib}/django_markdown2/templatetags/__pycache__
%{python3_sitelib}/django_markdown2/templatetags/__pycache__/__init__.*.py*
%{python3_sitelib}/django_markdown2/templatetags/__pycache__/md2.*.py*
%{python3_sitelib}/django_markdown2-%{version}-py3.*.egg-info

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 23 2016 Jakub Dorňák <jdornak@redhat.com> - 0.3.0-2
- add python2- subpackage

* Tue Feb 23 2016 Jakub Dorňák <jdornak@redhat.com> - 0.3.0-1
- Update to 0.3.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 25 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.1-1
- Initial package
